<bugID>1022231<Summary>Firefox doesn't remember tabs when using custom history settings, clearing history on shutdown</Summary><Description>User Agent: Opera/9.80 (X11; Linux x86_64) Presto/2.12.388 Version/12.16

Steps to reproduce:

Select "show my windows and tabs from last time".
Select "use custom settings for history", "clear history when firefox closes", "browsing and download history".
Open a few tabs.
Close and restart firefox.


Actual results:

Firefox starts with a "Mozilla Firefox Start Page".


Expected results:

When closing and restarting firefox, the tabs should be restored.</Description></bugID>